<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- File/Synopsis/PTree/Node.hh.html -->
<!-- this view was generated by FileIndex -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis/PTree/Node.hh</title>
<link href="../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="FileIndex">
<b >Synopsis/PTree/Node.hh</b>
<div><a href="../../../Source/Synopsis/PTree/Node.hh.html" target="content">source code</a></div>
<div><a href="../../../FileDetails/Synopsis/PTree/Node.hh.html" target="content">details</a></div>
<div class="heading">Declarations</div>
Synopsis<br/>
<div class="fileview-scope">PTree<br/>
<div class="fileview-scope"><div class="href"><a href="../../../Scopes/Synopsis/PTree/Array.html" target="content" title="(class)">Array</a></div><div class="fileview-scope"><div class="href"><a href="../../../Scopes/Synopsis/PTree/Array.html#Array_lsize_t_r" target="content" title="(member function)">Array</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/Array.html#array" target="content" title="(data member)">array</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/Array.html#default_buf" target="content" title="(data member)">default_buf</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/Array.html#num" target="content" title="(data member)">num</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/Array.html#size" target="content" title="(data member)">size</a></div></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/Atom.html" target="content" title="(class)">Atom</a></div><div class="fileview-scope"><div class="href"><a href="../../../Scopes/Synopsis/PTree/Atom.html#Atom_lconst.Token_A_r" target="content" title="(member function)">Atom</a></div></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/Iterator.html" target="content" title="(class)">Iterator</a></div><div class="fileview-scope"><div class="href"><a href="../../../Scopes/Synopsis/PTree/Iterator.html#next_lNode_S_A_r" target="content" title="(member function)">next</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/Iterator.html#operator_p_p_lint_r" target="content" title="(member function)">operator++</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/Iterator.html#ptree" target="content" title="(data member)">ptree</a></div></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/List.html" target="content" title="(class)">List</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/Node.html" target="content" title="(class)">Node</a></div><div class="fileview-scope"><div class="href"><a href="../../../Scopes/Synopsis/PTree/Node.html#Node_lNode_S_cNode_S_r" target="content" title="(member function)">Node</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/Node.html#Node_lconst.char_S_csize_t_r" target="content" title="(member function)">Node</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/Node/`0097.html" target="content" title="(union)">`0097</a></div><div class="fileview-scope"><div class="href"><a href="../../../Scopes/Synopsis/PTree/Node/`0097/`0098.html" target="content" title="(struct)">`0098</a></div><div class="fileview-scope"><div class="href"><a href="../../../Scopes/Synopsis/PTree/Node/`0097/`0098.html#child" target="content" title="(data member)">child</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/Node/`0097/`0098.html#next" target="content" title="(data member)">next</a></div></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/Node/`0097/`0099.html" target="content" title="(struct)">`0099</a></div><div class="fileview-scope"><div class="href"><a href="../../../Scopes/Synopsis/PTree/Node/`0097/`0099.html#length" target="content" title="(data member)">length</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/Node/`0097/`0099.html#position" target="content" title="(data member)">position</a></div></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/Node/`0097.html#leaf" target="content" title="(data member)">leaf</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/Node/`0097.html#nonleaf" target="content" title="(data member)">nonleaf</a></div></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/Node.html#accept_lVisitor_S_r" target="content" title="(member function)">accept</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/Node.html#my_data" target="content" title="(data member)">my_data</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/Node.html#set_car_lNode_S_r" target="content" title="(member function)">set_car</a></div><div class="href"><a href="../../../Scopes/Synopsis/PTree/Node.html#_tNode_l_r" target="content" title="(member function)">~Node</a></div></div>
</div>
</div>

</body>
</html>
